From: "Haelwenn Monnier" <contact@hacktivis.me>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: app-emulation/box86/
Date: Sun, 16 Jul 2023 06:18:39 +0000 (UTC) [thread overview]
Message-ID: <1689384809.f49b095e877b110aaa8a524c7ad1bf2aa40025d4.lanodan@gentoo> (raw)
commit: f49b095e877b110aaa8a524c7ad1bf2aa40025d4
Author: Richard-Rogalski <rrogalski <AT> tutanota <DOT> com>
AuthorDate: Sat Jul 15 01:33:29 2023 +0000
Commit: Haelwenn Monnier <contact <AT> hacktivis <DOT> me>
CommitDate: Sat Jul 15 01:33:29 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f49b095e
app-emulation/box86: new package, add 0.3.0
Signed-off-by: Richard-Rogalski <rrogalski <AT> tutanota.com>
app-emulation/box86/Manifest | 1 +
app-emulation/box86/box86-0.3.0.ebuild | 38 ++++++++++++++++++++++++++++++++++
app-emulation/box86/metadata.xml | 15 ++++++++++++++
3 files changed, 54 insertions(+)
diff --git a/app-emulation/box86/Manifest b/app-emulation/box86/Manifest
new file mode 100644
index 000000000..608cb619f
--- /dev/null
+++ b/app-emulation/box86/Manifest
@@ -0,0 +1 @@
+DIST box86-0.3.0.tar.gz 3175056 BLAKE2B 4fdef0301a53278da82eb18f235c38694d3d5b59c1386e4be14f6efd676499c5082c061f56fe9222f5994f7f043a0aa82019c42bf9b867ab8215c11ed3782f82 SHA512 133957b5b3194a034f383dd2cba503797468b973127b10b3a4bac458e1dce43b4f61efd4ff9ad0cabf7935f9b34a5287cbf3b9fee8c40c9b4bfbe206b0566957
diff --git a/app-emulation/box86/box86-0.3.0.ebuild b/app-emulation/box86/box86-0.3.0.ebuild
new file mode 100644
index 000000000..e32f3b2c1
--- /dev/null
+++ b/app-emulation/box86/box86-0.3.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake optfeature flag-o-matic
+
+DESCRIPTION="Linux Userspace x86 Emulator with a twist"
+HOMEPAGE="https://box86.org"
+SRC_URI="https://github.com/ptitSeb/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~arm ~arm64"
+IUSE="aot"
+REQUIRED_USE="aot? ( || ( arm arm64 ) )" #depends on NEON, VFPv3, and non-thumb ABI, I see no good way to check
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+src_configure() {
+ local -a mycmakeargs=(
+ -DNOGIT=1
+ -DARM_DYNAREC=$(usex aot)
+ )
+
+ use amd64 && mycmakeargs+=( -DLD80BITS=1 -DNOALIGN=1 )
+
+ append-flags "-m32"
+
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ optfeature "OpenGL for GLES devices" \
+ "media-libs/gl4es"
+}
diff --git a/app-emulation/box86/metadata.xml b/app-emulation/box86/metadata.xml
new file mode 100644
index 000000000..bba51e27a
--- /dev/null
+++ b/app-emulation/box86/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>rrogalski@tutanota.com</email>
+ <name>Richard Rogalski</name>
+ </maintainer>
+
+ <use>
+ <flag name="aot">Enables the dynamic ahead of time recompiler for increased performance on ARM</flag>
+ </use>
+ <upstream>
+ <remote-id type="github">ptitSeb/box86</remote-id>
+ </upstream>
+</pkgmetadata>
next reply other threads:[~2023-07-16 6:18 UTC|newest]
Thread overview: 2+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-07-16 6:18 Haelwenn Monnier [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-03 10:53 [gentoo-commits] repo/proj/guru:master commit in: app-emulation/box86/ David Roman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1689384809.f49b095e877b110aaa8a524c7ad1bf2aa40025d4.lanodan@gentoo \
--to=contact@hacktivis.me \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox